Report ExportsExport status

Export status

File readiness. The export is made FROM THE SNAPSHOT, so its content doesn't depend on what happened to the operations after the capture

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/report-exports/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "id": "example_string",
  "snapshotId": "example_string",
  "format": "example_string",
  "status": "example_string",
  "filename": "John Doe",
  "mimeType": "example_string",
  "sizeBytes": 3.14,
  "fileHash": "example_string",
  "requestedById": "example_string",
  "completedAt": "example_string"
}
GET
/api/v1/vaults/{code}/report-exports/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Responses

idstring
Required
snapshotIdstring
Required
formatstring
Required
statusstring
Required
filenamestring
Required
mimeTypestring
Required
sizeBytesstring
Required
fileHashstring
Required
requestedByIdstring
Required
completedAtstring
Required